﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp2.1</TargetFramework>
    <CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
    <PackAsTool>true</PackAsTool>
    <ToolCommandName>featuretransform</ToolCommandName>
    <Title>UnderTest.FeatureTransform</Title>
    <RepositoryType>git</RepositoryType>
    <Version>0.4.0</Version>
    <PackageVersion>0.4.0</PackageVersion>
  </PropertyGroup>

  <PropertyGroup>
    <IsPackable>True</IsPackable>
    <Description>Feature transformation tool for gherkin feature files.</Description>
    <Authors>Brian Ansems / Ron Myers</Authors>
    <Copyright>Copyright $([System.DateTime]::Now.Year) Ron Myers</Copyright>
    <PackageTags>undertest bdd gherkin transform</PackageTags>
    <PackageProjectUrl>https://undertest.dev</PackageProjectUrl>
    <RepositoryUrl>https://gitlab.com/under-test/undertest.featuretransform</RepositoryUrl>
    <PackageLicenseUrl></PackageLicenseUrl>
    <PackageIconUrl>https://gitlab.com/under-test/undertest/raw/stable/etc/logo.png</PackageIconUrl>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="ClosedXML" Version="0.94.2" />
    <PackageReference Include="CommandLineParser" Version="2.6.0" />
    <PackageReference Include="Gherkin" Version="6.0.0" />
    <PackageReference Include="Glob" Version="1.1.3" />
  </ItemGroup>

</Project>
